Subject: [Pce] FW: New Version Notification for draft-lopez-pce-hpce-ted-00.txt

From: Victor Lopez <[email-masked]>
Date: Wed, 23 Oct 2013 14:46:24 +0000

Dear all,

We have submitted a draft to describe how existing mechanisms (BGP-LS) can
be used in H-PCE scenarios to feed the TED. Although PCE is very well
defined, it is open to interpretation how to get the TED parameters.

Any comments or suggestions are highly welcome!

Victor, Oscar, Daniel and Stefano

El 21/10/13 21:39, "[email-masked]" <[email-masked]>
escribió:

>
>A new version of I-D, draft-lopez-pce-hpce-ted-00.txt
>has been successfully submitted by Victor Lopez and posted to the
>IETF repository.
>
>Filename:       draft-lopez-pce-hpce-ted
>Revision:       00
>Title:          Traffic Engineering Database dissemination for Hierarchical PCE
>scenarios
>Creation date:  2013-10-21
>Group:          Individual Submission
>Number of pages: 10
>URL:
>http://www.ietf.org/internet-drafts/draft-lopez-pce-hpce-ted-00.txt
>Status:          http://datatracker.ietf.org/doc/draft-lopez-pce-hpce-ted
>Htmlized:        http://tools.ietf.org/html/draft-lopez-pce-hpce-ted-00
>
>
>Abstract:
>   The PCE architecture is well-defined and may be used to compute the
>   optimal path for LSPS across domains in MPLS-TE and GMPLS networks.
>   The Hierarchical Path Computation Element (H-PCE) [RFC6805] was
>   developed to provide an optimal path when the sequence of domains is
>   not known in advance.  The procedure and mechanism for populating the
>   Traffic Engineering Database (TED) with domain topology and link
>   information used in H-PCE-based path computations is open to
>   interpretation.  This informational document describes how topology
>   dissemination mechanisms may be used to provide TE information
>   between Parent and Child PCEs (within the H-PCE context).  In
>   particular, it describes how BGP-LS might be used to provide inter-
>   domain connectivity.  This document is not intended to define new
>   extensions, it demonstrates how existing procedures and mechanisms
>   may be used.
>
>
>
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat
>

________________________________

Este mensaje se dirige exclusivamente a su destinatario. Puede consultar nuestra política de envío y recepción de correo electrónico en el enlace situado más abajo.
This message is intended exclusively for its addressee. We only send and receive email on the basis of the terms set out at:
http://www.tid.es/ES/PAGINAS/disclaimer.aspx

---

From: Qin Wu <[email-masked]>
Date: Thu, 24 Oct 2013 10:15:20 +0000

Interesting draft.
I believe Relying on BGP-LS to populate TE information to external PCE TED in H-PCE scenario is a straightforward approach.
I am wondering how to populate TE performance information to TED in H-PCE scenario?

Draft-wu-idr-te-pm-bgp-03(http://tools.ietf.org/html/draft-wu-idr-te-pm-bgp-03) provides a mechanism for this by 
extending BGP-LS and reusing TE performance metrics defined in ISIS-TE-extension.
It will be good to add a reference to draft-wu-idr-te-pm-bgp-03 in this draft.

Regards!
-Qin
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Victor Lopez
Sent: Wednesday, October 23, 2013 10:46 PM
To: [email-masked]
Subject: [Pce] FW: New Version Notification for draft-lopez-pce-hpce-ted-00.txt

Dear all,

Este mensaje se dirige exclusivamente a su destinatario. Puede consultar nuestra política de envío y recepción de correo electrónico en el enlace situado más abajo.
This message is intended exclusively for its addressee. We only send and receive email on the basis of the terms set out at:
http://www.tid.es/ES/PAGINAS/disclaimer.aspx
_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce

---

From: Victor Lopez <[email-masked]>
Date: Fri, 25 Oct 2013 11:00:54 +0000

Hi Qin,

Thanks for the comments.

We also think that this approach is the best to export the topology.

We will review your draft for the next update.

--
Regards,

Víctor López (Ph.D.)       Telefónica I+D, Global CTO Unit
c/ Don Ramón de la Cruz, 82-84. 28006, Madrid (Spain).
Phone. +34913128872
Email: [email-masked]
Web: https://people.tid.es/Victor.Lopez/

El 24/10/13 12:15, "Qin Wu" <[email-masked]> escribió:

>Interesting draft.
>I believe Relying on BGP-LS to populate TE information to external PCE
>TED in H-PCE scenario is a straightforward approach.
>Este mensaje se dirige exclusivamente a su destinatario. Puede consultar
>nuestra política de envío y recepción de correo electrónico en el enlace
>situado más abajo.
>This message is intended exclusively for its addressee. We only send and
>receive email on the basis of the terms set out at:

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 29 Oct 2013 16:03:27 +0530

Hi Victor,

Just one quick comment!

   You say in section 3

      Additionally, the BGP-LS speaker can be configured to send the
>       complete list of TE Links, including its details.  In this case,
>       the parent PCE has access to an extended database, with visibility
>       of both intra-domain and inter-domain information and can compute
>       the sequence of domains with better accuracy.  Even, the pPCE
>       could have enough information to compute the whole end-to-end path
>       by itself.

   But this would go against RFC6805, which says in section 4.4

      The topology and available resources within the child domain do
>       not need to be communicated to the parent PCE: doing so would
>       violate the PCE architecture.

   Transferring all information to parent PCE, would make it an "all
   seeing eye" which was never its intention.

Regards,
Dhruv

---

From: Qin Wu <[email-masked]>
Date: Thu, 31 Oct 2013 03:13:59 +0000

I think intra-domain information is referred to the information gathered within parent domain rather than information collected within each child domain.
Inter-domain information is referred to the inter-child domain TE links information.
In this way, there will be no confliction between draft-lopez-pce-hpce-ted-00 and RFC6805.

Regards!
-Qin
From: [email-masked] [mailto:[email-masked]] On Behalf Of Dhruv Dhody
Sent: Tuesday, October 29, 2013 6:33 PM
To: Victor Lopez
Cc: [email-masked]
Subject: Re: [Pce] FW: New Version Notification for draft-lopez-pce-hpce-ted-00.txt

Hi Victor,

Just one quick comment!

   You say in section 3

Regards,
Dhruv

On Wed, Oct 23, 2013 at 8:16 PM, Victor Lopez <[email-masked]<mailto:[email-masked]>> wrote:
Dear all,

El 21/10/13 21:39, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
escribió:

>until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
>
>The IETF Secretariat
>

[email-masked]<mailto:[email-masked]>

---

From: Dhruv Dhody <[email-masked]>
Date: Thu, 31 Oct 2013 04:38:40 +0000

Hi Qin,

The draft says that:

The minimum amount of
information that needs to be exchanged is the inter-domain
connectivity, including the details of the Traffic Engineering Inter-
domain Links [RFC6805<http://tools.ietf.org/html/rfc6805>].

But, it also adds sending the complete list of TE-Links and not just inter-domain to the parent PCE.

complete list of TE Links, including its details.  In this case, the

parent PCE has access to an extended database, with visibility of

both intra-domain and inter-domain information and can compute the

sequence of domains with better accuracy.  Even, the pPCE could have

enough information to compute the whole end-to-end path by itself.

Also note that if there is a PCE and it uses BGP-LS to gather TED from multiple domains, that is okay.
But then IMHO it is not hierarchical PCE.

Regards,
Dhruv

---------------------------------------------------------------
Dhruv Dhody
System Architect,
Huawei Technologies India Pvt. Ltd.,
Banagalore
Mobile: +91-9845062422
This e-mail and its attachments contain confidential information from HUAWEI, which
is intended only for the person or entity whose address is listed above. Any use of the
information contained herein in any way (including, but not limited to, total or partial
disclosure, reproduction, or dissemination) by persons other than the intended
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by
phone or email immediately and delete it!

From: [email-masked] [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: 31 October 2013 08:44
To: Dhruv Dhody; Victor Lopez
Cc: [email-masked]
Subject: Re: [Pce] FW: New Version Notification for draft-lopez-pce-hpce-ted-00.txt

Regards!
-Qin
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Dhruv Dhody
Sent: Tuesday, October 29, 2013 6:33 PM
To: Victor Lopez
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Pce] FW: New Version Notification for draft-lopez-pce-hpce-ted-00.txt

Hi Victor,

Just one quick comment!

   You say in section 3

Regards,
Dhruv